grobName {grid} | R Documentation

## Generate a Name for a Grob

### Description

This function generates a unique (within-session) name for a grob, based on the grob's class.

### Usage

    grobName(grob = NULL, prefix = "GRID")

### Arguments

`grob` | A grob object or `NULL`.
`prefix` | The prefix part of the name.

### Value

A character string of the form `prefix.class(grob).index`

### Author(s)

Paul Murrell

[Package grid version 3.4.2 Index]